Subject: bug#32981: dconf needs to be in environment for ibus-setup to work

From: Caleb Ristvedt <[email-masked]>
Date: Sun, 07 Oct 2018 21:25:36 -0500

On installing ibus and ibus-libpinyin and ensuring the appropriate
environment variables were applied, I attempted to run ibus-setup. I
went to the "Input Method" section and added the "Chinese - Intelligent
Pinyin" method. At that point ibus-setup output this message:

dconf-WARNING **: failed to commit changes to dconf: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name ca.desrt.dconf was not provided by any .service files

Restarting ibus-setup showed that the changes had not stuck (if they
ever were even applied). The problem persisted until I installed dconf
into my profile, at which point it worked as expected. It seems Nix has
encountered this problem as well:

https://github.com/NixOS/nixpkgs/pull/11108

I believe this would be fixed by changing dconf from a regular input to
a propagated-input of ibus. Note that ibus-setup needs to be run in
order to add *any* input method, including, say, English.

- Reepca